%define	major 0
%define libname	%mklibname snet %{major}

Summary:	The libsnet library
Name:		libsnet%{major}
Version:	20041106
Release:	3mdk
URL:		http://rsug.itd.umich.edu/cgi-bin/cvsweb.cgi/libsnet/
License:	BSD
Source0:	libsnet-%{version}.tar.bz2
Group:		System/Libraries
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The libsnet library


%if %{_lib} != lib
%package -n	%{libname}
Summary:	The libsnet library
Group:          System/Libraries

%description -n	%{libname}
The libsnet library
%endif

%package -n	%{libname}-devel
Summary:	Static library and header files for the libsnet library
Group:		Development/C
Provides:	libsnet-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
This package contains the static libsnet library and its header
files needed to compile applications such as radmind, nefu, etc.

%prep

%setup -q -n libsnet-%{version}

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf

%configure2_5x \
    --enable-shared \
    --enable-static

%make \
    OPTOPTS="%{optflags} -fPIC" \
    VERSION="%{version}-%{release}" \
    LIBTOOL="libtool" \
    libsnet.la

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 20041106-3mdk
- fix naming
- rpmlint fixes
- fix build on x86_64

* Sat Nov 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20041106-2mdk
- update %%description for the devel package

* Sat Nov 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20041106-1mdk
- initial mandrake package
